///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/**
 *	This file contains the shape-related exported structures.
 *	\file		IceAddShape.h
 *	\author		Pierre Terdiman
 *	\date		April, 4, 2000
 */
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Include Guard
#ifndef __ICEADDSHAPE_H__
#define __ICEADDSHAPE_H__

	//! The shape information class.
	class ShapeInfo : public ObjectInfo
	{
		public:
		// Constructor / Destructor
										ShapeInfo();
		virtual							~ShapeInfo();

		// Parameters
						udword			mNbLines;				//!< Number of polylines for the shape
						udword*			mNbVerts;				//!< Number of vertices in each line
						bool*			mClosed;				//!< Is each line a closed line?
						MAXPoint*		mVerts;					//!< List of vertices
	};

#endif // __ICEADDSHAPE_H__
